<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/ItemDropWarningMenu.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/df8/_item_drop_warning_menu_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ItemDropWarningMenu.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/df8/_item_drop_warning_menu_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d6/df8/_item_drop_warning_menu_8c.html#a579911afad9fb7d410b9d9c8eaf7c9ac">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d68/class_warning_menu_base.html">WarningMenuBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#af8981c47f21fc8ce9d16e6a672339ebd">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#af8981c47f21fc8ce9d16e6a672339ebd">WarningMenuBase</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a92937b159565b37f8d94d65cea8a325c">AddActiveInputExcludes</a>({<span class="stringliteral">&quot;menu&quot;</span>});</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ac11d4a3e2de5b4611754168471d751d5">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ac11d4a3e2de5b4611754168471d751d5">~WarningMenuBase</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#aed8013a37f52bda21ed77e346171dec5">RemoveActiveInputExcludes</a>({<span class="stringliteral">&quot;menu&quot;</span>},<span class="keyword">true</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">   14</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">Init</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        layoutRoot = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>(<span class="stringliteral">&quot;gui/layouts/day_z_dropped_items.layout&quot;</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordtype">string</span> text = <a class="code hl_function" href="../../d8/d68/class_warning_menu_base.html#ac314f2ca475a9feb5036b8f8f030c9e3">GetText</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span>(text)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            MultilineTextWidget w = MultilineTextWidget.Cast(layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;Text&quot;</span>));</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">if</span>(w)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                w.SetText(text);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> layoutRoot;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a2e0168af00fd25d98868368995759e0e">   27</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a2e0168af00fd25d98868368995759e0e">GetText</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        super.OnClick(w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, button);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (w.GetUserID() == <a class="code hl_variable" href="../../da/d4c/group___u_i.html#gafd2ff576b89077f07ebac93270f2e24f">IDC_OK</a>)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>}</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="keyword">class </span>ItemDropWarningMenu <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d68/class_warning_menu_base.html">WarningMenuBase</a></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>{</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d68/class_warning_menu_base.html#ac314f2ca475a9feb5036b8f8f030c9e3">GetText</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d6/df8/_item_drop_warning_menu_8c.html#af66467e93d04391a9d72c7c781130e68">   49</a></span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#str_item_drop_notification&quot;</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>}</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d6/df8/_item_drop_warning_menu_8c.html#a082343a1c686820290ba4c8d20a280fa">   54</a></span><span class="keyword">class </span>PlayerRepositionWarningMenu <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d68/class_warning_menu_base.html">WarningMenuBase</a></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d8/d68/class_warning_menu_base.html#ac314f2ca475a9feb5036b8f8f030c9e3">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d68/class_warning_menu_base.html#ac314f2ca475a9feb5036b8f8f030c9e3">GetText</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#str_position_change_notification&quot;</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d6/df8/_item_drop_warning_menu_8c.html#ae3e418070eacba5f392e75442ae00a87">   60</a></span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_item_base_8c_html_a604074e02bcee1dc8a5ab6bdbd2e2e84"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a></div><div class="ttdeci">void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08753">ItemBase.c:8753</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_mission_html_a92937b159565b37f8d94d65cea8a325c"><div class="ttname"><a href="../../db/dad/class_mission.html#a92937b159565b37f8d94d65cea8a325c">Mission::AddActiveInputExcludes</a></div><div class="ttdeci">void AddActiveInputExcludes(array&lt; string &gt; excludes)</div></div>
<div class="ttc" id="aclass_mission_html_aed8013a37f52bda21ed77e346171dec5"><div class="ttname"><a href="../../db/dad/class_mission.html#aed8013a37f52bda21ed77e346171dec5">Mission::RemoveActiveInputExcludes</a></div><div class="ttdeci">void RemoveActiveInputExcludes(array&lt; string &gt; excludes, bool bForceSupress=false)</div><div class="ttdoc">deprecated</div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a2e0168af00fd25d98868368995759e0e"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a2e0168af00fd25d98868368995759e0e">UIScriptedMenu::GetText</a></div><div class="ttdeci">string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00027">ItemDropWarningMenu.c:27</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ac11d4a3e2de5b4611754168471d751d5"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ac11d4a3e2de5b4611754168471d751d5">UIScriptedMenu::~WarningMenuBase</a></div><div class="ttdeci">void ~WarningMenuBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00008">ItemDropWarningMenu.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aca76f7de94e43c81d67d6c5b672f4fbe"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">UIScriptedMenu::Init</a></div><div class="ttdeci">override Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00014">ItemDropWarningMenu.c:14</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad1bfa3dda2895fad96fa25f720d5aff1"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">UIScriptedMenu::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00032">ItemDropWarningMenu.c:32</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_af8981c47f21fc8ce9d16e6a672339ebd"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#af8981c47f21fc8ce9d16e6a672339ebd">UIScriptedMenu::WarningMenuBase</a></div><div class="ttdeci">void WarningMenuBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00003">ItemDropWarningMenu.c:3</a></div></div>
<div class="ttc" id="aclass_warning_menu_base_html"><div class="ttname"><a href="../../d8/d68/class_warning_menu_base.html">WarningMenuBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00054">ItemDropWarningMenu.c:55</a></div></div>
<div class="ttc" id="aclass_warning_menu_base_html_ac314f2ca475a9feb5036b8f8f030c9e3"><div class="ttname"><a href="../../d8/d68/class_warning_menu_base.html#ac314f2ca475a9feb5036b8f8f030c9e3">WarningMenuBase::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df8/_item_drop_warning_menu_8c_source.html#l00056">ItemDropWarningMenu.c:56</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___u_i_html_gafd2ff576b89077f07ebac93270f2e24f"><div class="ttname"><a href="../../da/d4c/group___u_i.html#gafd2ff576b89077f07ebac93270f2e24f">IDC_OK</a></div><div class="ttdeci">const int IDC_OK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00111">constants.c:111</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../d6/df8/_item_drop_warning_menu_8c.html">ItemDropWarningMenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
